[BUGFIX] Restore compatibility with PHP 7.0 65/58665/5
authorOliver Klee <typo3-coding@oliverklee.de>
Sat, 20 Oct 2018 15:32:34 +0000 (17:32 +0200)
committerStanislas Rolland <typo3@sjbr.ca>
Mon, 22 Oct 2018 17:38:16 +0000 (19:38 +0200)
commit48eef1578027b96606ae8477d37ab8bb029cfbc1
treefb5e46567d74d935fe467e28f8f482217c36aab9
parent74050317cd249093d88848d4325727214c093435
[BUGFIX] Restore compatibility with PHP 7.0

As this version of the extension is marked as compatible with TYPO3 8.7,
it should also be compatible with the lowest PHP version required for
TYPO3 8.7, i.e., PHP 7.0.

Hence, there must not be any nullable return type declarations.

Also state compatibility with PHP 7.0.x up to 7.2.x in the `composer.json`.
(This also allows PhpStorm to automatically determine the PHP language
level.)

Resolves: #86710

Change-Id: I41a14355573e85f59155ab892f1373af9d345166
Reviewed-on: https://review.typo3.org/58665
Reviewed-by: Stanislas Rolland <typo3@sjbr.ca>
Tested-by: Stanislas Rolland <typo3@sjbr.ca>
Classes/Utility/LocalizationUtility.php
composer.json